Skip to main content
GET
/
api
/
dashboard
/
clusters
/
{cluster_id}
/
members
Cluster member drill-down
curl --request GET \
  --url https://api.example.com/api/dashboard/clusters/{cluster_id}/members \
  --header 'Authorization: Bearer <token>'
{
  "cluster": {
    "id": 123,
    "label": "<string>",
    "member_count": 123,
    "description": "<string>",
    "personal_count": 0,
    "work_count": 0,
    "last_activity": "2023-11-07T05:31:56Z"
  },
  "items": [
    {
      "id": 123,
      "topic": "<string>",
      "content": "<string>",
      "memory_type": "<string>",
      "similarity": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "days_ago": 123,
      "project": "<string>",
      "scope": "<string>",
      "pinned": false,
      "excluded": false
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cluster_id
integer
required

Query Parameters

scope
enum<string> | null

Filter by scope (personal or work)

Available options:
personal,
work
limit
integer
default:20

Max items to return

Required range: 1 <= x <= 100
offset
integer
default:0

Offset for pagination

Required range: x >= 0

Response

Successful Response

Paginated cluster member list with cluster metadata.

cluster
ClusterItem · object
required

A single cluster in the dashboard.

items
ClusterMemberItem · object[]
required
total
integer
required